Author vstinner
Recipients alexandre.vassalotti, doug.royal, kmike, pitrou, python-dev, serhiy.storchaka, vstinner
Date 2015-03-31.11:54:51
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1427802892.11.0.324715043254.issue18473@psf.upfronthosting.co.za>
In-reply-to
Content
Buildbots are unhappy. Example:

http://buildbot.python.org/all/builders/x86%20Ubuntu%20Shared%203.x/builds/11437/steps/test/logs/stdio


======================================================================
ERROR: test_name_mapping (test.test_pickle.CompatPickleTests) [(('tkinter.filedialog', 'FileDialog'), ('FileDialog', 'FileDialog'))]
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Lib/test/test_pickle.py", line 241, in getmodule
    return sys.modules[module]
KeyError: 'tkinter.filedialog'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Lib/test/test_pickle.py", line 286, in test_name_mapping
    attr = getattribute(module3, name3)
  File "/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Lib/test/test_pickle.py", line 247, in getattribute
    obj = getmodule(module)
  File "/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Lib/test/test_pickle.py", line 243, in getmodule
    __import__(module)
  File "/srv/buildbot/buildarea/3.x.bolen-ubuntu/build/Lib/tkinter/__init__.py", line 38, in <module>
    import _tkinter # If this fails your Python may not be configured for Tk
ImportError: No module named '_tkinter'
History
Date User Action Args
2015-03-31 11:54:52vstinnersetrecipients: + vstinner, pitrou, alexandre.vassalotti, python-dev, serhiy.storchaka, kmike, doug.royal
2015-03-31 11:54:52vstinnersetmessageid: <1427802892.11.0.324715043254.issue18473@psf.upfronthosting.co.za>
2015-03-31 11:54:52vstinnerlinkissue18473 messages
2015-03-31 11:54:51vstinnercreate